ServerEvents.recipes(event => {
    event.custom({
  "type": "minecraft:crafting_shaped",
  "pattern": [
    " BC",
    "A A",
    "AAA"
  ],
  "key": {
    "A": {
      "item": "minecraft:leather"
    },
    "B": {
      "tag": "minecraft:buttons"
    },
    "C": {
      "item": "minecraft:string"
    }
  },
  "result": {
    "item": "thirstcanteen:leather_canteen",
    "count": 1
  }
})
})